Cài đặt Magento 2.x.x error 500

Thảo luận trong 'Cài đặt Magento' bắt đầu bởi w360s, 5 Tháng ba 2016.

  1. w360s

    w360s New Member

    Hello!
    Hiện tại mình gặp trường hợp này nhờ mọi người giúp đỡ.
    Mình cái magento dưới localhost Mampro đã chạy ngon lành sau đó đưa lên server thì bị lội 500 not respones
    Cấu hình máy chủ là:
    Magento 2.02
    PHP 7.0.4 (cli) (built: Mar 2 2016 17:13:39) ( NTS )
    Copyright (c) 1997-2016 The PHP Group
    Zend Engine v3.0.0, Copyright (c) 1998-2016 Zend Technologies
    with Zend OPcache v7.0.6-dev, Copyright (c) 1999-2016, by Zend Technologies

    Your MariaDB connection id is 499
    Server version: 10.0.24-MariaDB MariaDB Server
    Copyright (c) 2000, 2016, Oracle, MariaDB Corporation Ab and others.

    Note: khi chạy magento mới cũng gặp lỗi 500 chứ ko chỉ mình file từ local chuyển lên.

    Thanks in advances

    Các file đính kèm:

  2. w360s

    w360s New Member

    Cập nhật report có bác nào biết chỉ em với. xin hậu tạ.

    Magento check

    You need PHP 5.2.0 (or greater)'; } else { $pass .='
    • You have PHP 5.2.0 (or greater)
    '; } if(!ini_get('safe_mode')) { $pass .='
    • Safe Mode is off
    '; preg_match('/[0-9]\.[0-9]+\.[0-9]+/', shell_exec('mysql -V'), $version); if(version_compare($version[0], '4.1.20', '<')) { $fail .= '
    • You need MySQL 4.1.20 (or greater)
    '; } else { $pass .='
    • You have MySQL 4.1.20 (or greater)
    '; } } else { $fail .= '
    • Safe Mode is on
    '; } foreach($extensions as $extension) { if(!extension_loaded($extension)) { $fail .= '
    • You are missing the '.$extension.' extension
    '; } else{ $pass .= '
    • You have the '.$extension.' extension
    '; } } if($fail) { echo '
    Your server does not meet the following requirements in order to install Magento.'; echo '
    The following requirements failed, please contact your hosting provider in order to receive assistance with meeting the system requirements for Magento:'; echo '


    • '.$fail.'


    '; echo 'The following requirements were successfully met:'; echo '

    • '.$pass.'
    '; } else { echo '
    Congratulations! Your server meets the requirements for Magento.

    '; echo '

    • '.$pass.'
    '; } } ?>

    Note requirement php của em dư sao vẫn có thông báo này?? ko hiểu, có cao nhân nào nhờ chỉ giao.
  3. admin

    admin Mai Văn Hải Staff Member

    bạn nên check lại máy tính cấu hình như thế nào, config lại và remove hết các soft ko dùng...

    Mình nghĩ nên dùng gói hosting để test cho nhanh.

Chia sẻ trang này